Bug 232892 - Segmentation fault in rebuild process
Segmentation fault in rebuild process
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: Omni (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2007-03-19 06:56 EDT by Boris B. Zhmurov
Modified: 2012-06-20 12:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:00:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Boris B. Zhmurov 2007-03-19 06:56:54 EDT
Description of problem:
While trying to rebuild Omni package on RHEL4 U4, I've got a Segmentation fault
of OmniFoomaticGenerator -l

Version-Release number of selected component (if applicable):
gcc version 3.4.6 20060404 (Red Hat 3.4.6-3)

How reproducible:
rpmbuild --rebuild Omni-0.9.1-7.1.src.rpm

Steps to Reproduce:
1. rpmbuild --rebuild Omni-0.9.1-7.1.src.rpm

Actual results:
/usr/src/redhat/BUILD/Omni/Foomatic/.libs/lt-OmniFoomaticGenerator: Initialized
Epson-LQ-1060 (148/461)
/usr/src/redhat/BUILD/Omni/Foomatic/.libs/lt-OmniFoomaticGenerator: Initialized
Epson-LQ-1070 (149/461)
/usr/src/redhat/BUILD/Omni/Foomatic/.libs/lt-OmniFoomaticGenerator: Initialized
Epson-LQ-1070plus (150/461)
/usr/src/redhat/BUILD/Omni/Foomatic/.libs/lt-OmniFoomaticGenerator: Initialized
Epson-LQ-1170 (151/461)
/usr/src/redhat/BUILD/Omni/Foomatic/.libs/lt-OmniFoomaticGenerator: Initialized
Epson-LQ-150 (152/461)
/usr/src/redhat/BUILD/Omni/Foomatic/.libs/lt-OmniFoomaticGenerator: Initialized
Epson-LQ-2070 (153/461)
/bin/sh: line 1: 11352 Segmentation fault      ./OmniFoomaticGenerator -l
Error: Build break!
mkdir -p /usr/src/redhat/BUILD/Omni/Foomatic/{printer,driver,opt}
cp -a foomatic-db/db/source/driver/* /usr/src/redhat/BUILD/Omni/Foomatic/driver/
cp: cannot stat `foomatic-db/db/source/driver/*': No such file or directory
make: *** [localInstall] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.86421 (%build)

Expected results:
Successful rebuild

Additional info:
Comment 1 RHEL Product and Program Management 2008-02-01 14:09:27 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Jiri Pallich 2012-06-20 12:00:12 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.